Name:           plasma-mediacenter
Version:        1.0.0 
Release:        2%{?dist}
Summary:        A mediacenter user interface written with the Plasma framework

License:        GPLv2
URL:            http://chernabog.cc.vt.edu/pub/projects/kde/stable/plasma-mediacenter
Source0:        http://chernabog.cc.vt.edu/pub/projects/kde/stable/plasma-mediacenter/1.0.0/src/plasma-mediacenter-%{version}-1.tar.gz

BuildRequires:  plasma-mobile 
BuildRequires:  qt-mobility-devel 
BuildRequires:  kde-workspace-devel 
BuildRequires:  qt-devel 
BuildRequires:  taglib-devel
BuildRequires:  nepomuk-core-devel

Requires:       plasma-mobile 
Requires:       kdenetwork-fileshare-samba

%description
A mediacenter user interface written with the Plasma framework


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release} 
%description devel
%{summary}


%prep
%setup -q -n plasma-mediacenter


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/plasma-mediacenter.desktop


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README LICENSE
%{_kde4_appsdir}/plasma/packages/org.kde.plasma.mediacenter/
%{_kde4_bindir}/plasma-mediacenter
%{_kde4_datadir}/applications/kde4/plasma-mediacenter.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/pmc_browsingbackend.desktop
%{_kde4_libdir}/kde4/imports/org/kde/plasma/mediacentercomponents/
%{_kde4_libdir}/libplasmamediacenter.so.0*
%{_kde4_libdir}/kde4/pmc_*.so

%files devel
%{_kde4_includedir}/mediacenter/
%{_kde4_libdir}/libplasmamediacenter.so


%changelog

* Wed Mar 20 2013 siddharth <siddharths@fedoraproject.org> - 1.0.0-2
- rebuilt, Fixing missing BuildRequires for new package

* Wed Mar 20 2013 siddharth sharma <siddharths@fedoraproject.org> -1.0.0-1
- new upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.90-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 24 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.8.90-6
- %%files cleanup
- remove deprecated .spec
- remove unneccessary hacks (in particular, move plugins back to where they belong)

* Wed Oct 24 2012 siddharth <siddharth.kde@gmail.com> - 0.8.90-5
- Removed unwanted Requires and BuildRequires
- Removed Hicolor icons

* Wed Sep 12 2012 siddharth <siddharth.kde@gmail.com> - 0.8.90-4
- Fix installing plugins path

* Thu Jun 14 2012 Siddharth Sharma <siddharth.kde@gmail.com> - 0.8.90-3
- Packaging Fixes
- Package update Beta Release

* Sun Jun 03 2012 siddharth <siddharth.kde@gmail.com> - 0.9-2
- rebuilt for devel package split

* Sat Jun 2 2012 siddharth Sharma <siddharths@fedoraproject.org> - 0.9-1
- Initial Release 1

